OpenNMS API 1.2.9

## org.opennms.netmgt.trapd
Class EventConstants

    java.lang.Object
      org.opennms.netmgt.trapd.EventConstants

public class EventConstants
extends java.lang.Object

Field Summary
`static java.lang.String` `TYPE_INT`
`static java.lang.String` `TYPE_SNMP_COUNTER32`
`static java.lang.String` `TYPE_SNMP_COUNTER64`
`static java.lang.String` `TYPE_SNMP_GAUGE32`
`static java.lang.String` `TYPE_SNMP_INT32`
`static java.lang.String` `TYPE_SNMP_IPADDRESS`
`static java.lang.String` `TYPE_SNMP_NULL`
`static java.lang.String` `TYPE_SNMP_OBJECT_IDENTIFIER`
`static java.lang.String` `TYPE_SNMP_OCTET_STRING`
`static java.lang.String` `TYPE_SNMP_OPAQUE`
`static java.lang.String` `TYPE_SNMP_SEQUENCE`
`static java.lang.String` `TYPE_SNMP_TIMETICKS`
`static java.lang.String` `TYPE_STRING`
`static java.lang.String` `XML_ENCODING_BASE64`
`static java.lang.String` `XML_ENCODING_TEXT`

Constructor Summary
`private` `EventConstants()` Empty, private constructor so this object cannot be instantiated.

Method Summary
`static java.lang.String` `toString(java.lang.String encoding, java.lang.Object value)` Converts the value of the instance to a string representation in the correct encoding system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

See Also:
  Constant Field Values

### TYPE_INT

    public static final java.lang.String TYPE_INT

See Also:
  Constant Field Values

### TYPE_SNMP_OCTET_STRING

    public static final java.lang.String TYPE_SNMP_OCTET_STRING

See Also:
  Constant Field Values

### TYPE_SNMP_INT32

    public static final java.lang.String TYPE_SNMP_INT32

See Also:
  Constant Field Values

### TYPE_SNMP_NULL

    public static final java.lang.String TYPE_SNMP_NULL

See Also:
  Constant Field Values

### TYPE_SNMP_OBJECT_IDENTIFIER

    public static final java.lang.String TYPE_SNMP_OBJECT_IDENTIFIER

See Also:
  Constant Field Values

### TYPE_SNMP_IPADDRESS

    public static final java.lang.String TYPE_SNMP_IPADDRESS

See Also:
  Constant Field Values

### TYPE_SNMP_TIMETICKS

    public static final java.lang.String TYPE_SNMP_TIMETICKS

See Also:
  Constant Field Values

### TYPE_SNMP_COUNTER32

    public static final java.lang.String TYPE_SNMP_COUNTER32

See Also:
  Constant Field Values

### TYPE_SNMP_GAUGE32

    public static final java.lang.String TYPE_SNMP_GAUGE32

See Also:
  Constant Field Values

### TYPE_SNMP_OPAQUE

    public static final java.lang.String TYPE_SNMP_OPAQUE

See Also:
  Constant Field Values

### TYPE_SNMP_SEQUENCE

    public static final java.lang.String TYPE_SNMP_SEQUENCE

See Also:
  Constant Field Values

### TYPE_SNMP_COUNTER64

    public static final java.lang.String TYPE_SNMP_COUNTER64

See Also:
  Constant Field Values

### XML_ENCODING_TEXT

    public static final java.lang.String XML_ENCODING_TEXT

See Also:
  Constant Field Values

### XML_ENCODING_BASE64

    public static final java.lang.String XML_ENCODING_BASE64

See Also:
  Constant Field Values

Constructor Detail

### EventConstants

    private EventConstants()

  Empty, private constructor so this object cannot be instantiated.

Method Detail

### toString

    public static java.lang.String toString(java.lang.String encoding,
                                            java.lang.Object value)

  Converts the value of the instance to a string representation in the correct encoding system.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.